Bug 1316644 - Clusters page information
Clusters page information
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: sankarshan
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 11:33 EST by Lubos Trilety
Modified: 2016-11-13 19:05 EST (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2016-03-10 11:33:52 EST
Description of problem:
On 'Clusters' page some information is missing and some does not follow the design.

1. In design there's how much of space in cluster is used the same information as on related cluster dashboard (X of X used). However as of now UI shows free space instead (X free of X total) on 'Clusters' page. That could confuse a user because on one page he/she sees free space and on other pages he/she sees used space.

2. These numbers for free (better to be used) space and total space are not correct. It seems they are hard coded on the page and so they never change. Whilst on clusters/main dashboard they are already dynamically generated.

3. The donut chart for IOPS does not make much sense. What's maximum for IOPS? Via design there should be different chart a sparkline chart.


Version-Release number of selected component (if applicable):
rhscon-ui-0.0.21-1.el7.noarch
rhscon-ceph-0.0.6-11.el7.x86_64
rhscon-core-0.0.8-11.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Open Clusters page

Actual results:
Information about cluster space is not correct. Moreover it does not follow the design.

Expected results:
Correct information which follow design more is shown.

Additional info:
Comment 2 Martin Kudlej 2016-07-22 06:05:46 EDT
Tested with 
ceph-ansible-1.0.5-27.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.33-1.el7scon.x86_64
rhscon-core-0.0.34-1.el7scon.x86_64
rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-ui-0.0.48-1.el7scon.noarch
and 
1) OK
2) most of cases are correct, there are BZs for rest
3) solved with another graph type

--> this BZ Verified and for rest there are BZs

Note You need to log in before you can comment on or make changes to this bug.